import * as React from 'react';
import { IFormProps as ICoreFormProps, IFormFieldProps, IRenderFormField } from '@reactionable/core';
export interface IFormProps<Values, Data> extends Omit<ICoreFormProps<Values, Data>, 'successNotification' | 'errorAlert' | 'loader'> {
    title: string;
}
declare type FormComponent<Values = any, Data = any> = React.FC<IFormProps<Values, Data>>;
export declare const Form: FormComponent;
declare type FormField<Values = any> = React.FC<Omit<IFormFieldProps<Values>, 'render'> & {
    label?: string;
    render?: IRenderFormField<Values>;
}>;
export declare const FormField: FormField;
export {};
