"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Notification_1 = require("../notification/Notification");
var ErrorAlert_1 = require("../alert/ErrorAlert");
var Loader_1 = require("../loader/Loader");
var formik_1 = require("formik");
var FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
var Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
var FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
var FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
var core_1 = require("@reactionable/core");
;
exports.Form = function (_a) {
    var title = _a.title, render = _a.render, props = tslib_1.__rest(_a, ["title", "render"]);
    var renderFormFields = function (formikBag, isLoading) {
        return React.createElement(formik_1.Form, { className: "needs-validation" }, render(formikBag, isLoading));
    };
    return React.createElement(core_1.Form, tslib_1.__assign({}, props, { render: renderFormFields, successNotification: Notification_1.useSuccessNotification(title), errorAlert: ErrorAlert_1.useErrorAlert(), loader: Loader_1.useLoader() }));
};
exports.FormField = function (_a) {
    var label = _a.label, render = _a.render, props = tslib_1.__rest(_a, ["label", "render"]);
    var renderField = function (fieldProps, error) {
        return React.createElement(FormGroup_1.default, { controlId: fieldProps.field.name },
            label && React.createElement(FormLabel_1.default, null, label),
            render ? render(fieldProps, error) : React.createElement(FormControl_1.default, tslib_1.__assign({}, fieldProps.field)),
            error && React.createElement(Feedback_1.default, { type: "invalid" }, error));
    };
    return React.createElement(core_1.FormField, tslib_1.__assign({}, props, { render: renderField }));
};
//# sourceMappingURL=Form.js.map