import * as React from 'react';
import { ModalProps } from 'react-bootstrap/Modal';
import { IModalProps as ICoreModalProps } from '@reactionable/core';
export declare type IModalProps = ICoreModalProps & ModalProps & {
    body?: React.ReactElement;
    footer?: React.ReactElement;
};
export declare type ModalComponent = React.FC<IModalProps>;
export declare const Modal: ModalComponent;
export declare type IUseModalProps = React.PropsWithChildren<IModalProps>;
export declare const useModal: (props: React.PropsWithChildren<IModalProps>) => {
    modal: false | JSX.Element | undefined;
    openModal: () => void;
    closeModal: () => void;
};
