import * as React from 'react';
import { IModalFormProps as ICoreModalFormProps } from '@reactionable/core';
import { IFormProps } from '../form/Form';
import { IModalProps } from './Modal';
export declare type IModalFormProps<Values, Data> = Omit<ICoreModalFormProps<Values, Data>, 'form'> & IModalProps & {
    form: Omit<IFormProps<Values, Data>, 'title'>;
};
export declare type ModalFormComponent<Values = any, Data = any> = React.FC<IModalFormProps<Values, Data>>;
export declare const ModalForm: ModalFormComponent;
export declare type IUseModalFormProps<Values, Data> = React.PropsWithChildren<IModalFormProps<any, any>>;
export declare const useModalForm: (props: React.PropsWithChildren<IModalFormProps<any, any>>) => {
    modal: false | JSX.Element | undefined;
    openModal: () => void;
    closeModal: () => void;
};
