"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Toast_1 = tslib_1.__importDefault(require("react-bootstrap/Toast"));
var react_i18next_1 = require("react-i18next");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
var ErrorAlert_1 = require("../alert/ErrorAlert");
var Notification = function (props) {
    return React.createElement(Toast_1.default, { show: true, autohide: true, onClose: props.onClose, transition: false, style: {
            position: 'fixed',
            top: '1vw',
            right: '1vw',
            zIndex: 9999,
        }, className: 'border-' + props.variant },
        React.createElement(Toast_1.default.Header, { className: 'text-' + props.variant },
            React.createElement("strong", { className: "mr-auto" }, props.title)),
        React.createElement(Toast_1.default.Body, null, props.children));
};
var SuccessNotification = function (props) {
    return React.createElement(Notification, tslib_1.__assign({}, props, { variant: 'sucess' }),
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faCheckCircle }),
        " ",
        props.children);
};
exports.useSuccessNotification = function (title) {
    return core_1.useNotification({
        title: title,
        Component: SuccessNotification,
    });
};
var ErrorNotification = function (props) {
    if (!props.title) {
        var t = react_i18next_1.useTranslation().t;
        props.title = t('An error has occured');
    }
    return React.createElement(Notification, tslib_1.__assign({ variant: 'danger', title: props.title }, props),
        React.createElement(ErrorAlert_1.ErrorAlert, null, props.children));
};
exports.useErrorNotification = function (title) {
    var notificationTitle;
    if (title === undefined) {
        var t = react_i18next_1.useTranslation().t;
        notificationTitle = t('An error has occured');
    }
    else {
        notificationTitle = title;
    }
    return core_1.useNotification({
        title: notificationTitle,
        Component: ErrorNotification,
    });
};
//# sourceMappingURL=Notification.js.map